{% set CodiceModulo = "DOM_COMPOSTAGGIO_DOMESTICO" %}
{% set Urn = "document:c_b288:compostaggio.domestico;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di partecipazione al progetto di compostaggio domestico"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di partecipazione al progetto di compostaggio domestico {% endblock title %}

{% block content %}
  

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - partecipazione progetto compostaggio domestico'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Domanda di partecipazione al progetto di compostaggio domestico
</h1>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<h3 class="Modulo">
  CHIEDE
</h3>

<p class="Modulo">
    di poter effetuare il compostaggio domestico, a cura e spese proprie, della frazione organica dei rifiuti domestici presso la propria abitazione sopraindicata.
</p>

{{ utils.Dichiara_445() }}

<table class="Modulo" style="border: 0px;">
  <tbody>    
    <tr style="border: 0px;">
      <td style="vertical-align: top; width: 4%;border: 0px;" rowspan="6">
        <input id="Dichiara1" name="Dichiara1" type="checkbox" value="SI" dynamic_check="true" checked="checked"/>
      </td>
      <td colspan="2" style="border: 0px;">
        <p>
            che il compostaggio verrà effettuato con la seguente struttura
        </p>
      </td>
    </tr>        
         {% set testi = [
              "compostiera",
              "cumulo",
              "concimaia",
              "cassa di compostaggio",
              "compostiera a rivoltamento"
        ]%}
        {% for testo in testi %}
          <tr style="border: 0px;">
           <td style="vertical-align: top; width: 4%;" >
              {% if loop.first %} <div id="Tassonomia_Struttura" name="Tassonomia_Struttura" label="Struttura compostaggio" mandatory_enabled="true"></div>{% endif %}
              <input id="Tassonomia_Struttura{{ loop.index }}" name="Tassonomia_Struttura" type="radio" value="{{ loop.index }}" />
            </td>
            <td><p>{{ testo|safe }}</p></td>
          </tr>
        {% endfor %}
  </tbody>
</table>

<table class="Modulo" style="border: 0px; margin-top: -1x;">
  <tbody>    
    <tr style="border: 0px;">
      <td style="vertical-align: top; width: 4%;border: 0px;background-color: white;" rowspan="3">
        <input id="Dichiara2" name="Dichiara2" type="checkbox" value="SI" dynamic_check="true" checked="checked"/>
      </td>
      <td style="border: 0px;">
        <p>
            che l’umido sarà prodotto unicamente dal proprio nucleo familiare
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta" style="border: 0px;">
      <td>
        <p class="Labelcella">
          Numero componenti nucleo familiare
        </p>
      </td>
    </tr>
    <tr style="border: 0px;"> 
      <td>
        <input class="inputNormal" id="Parametri_NumeroComponentiNucleo" name="Parametri_NumeroComponentiNucleo" style="width: 100%;" label="Numero componenti nucleo familiare" mandatory_enabled="true" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 0px;margin-top: -1x;">
    <tbody>    
      <tr style="border: 0px;">
        <td style="vertical-align: top; width: 4%;border: 0px;background-color: white;" rowspan="3">
          <input id="Dichiara3" name="Dichiara3" type="checkbox" value="SI" dynamic_check="true" checked="checked"/>
        </td>
        <td colspan="2" style="border: 0px;">
          <p>
              che l’umido sarà prodotto unicamente dal proprio nucleo familiare
          </p>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta" style="border: 0px;">
        <td>
          <p class="Labelcella">
            Superficie (mq)
          </p>
        </td>
        <td>
            <p class="Labelcella">
              Indirizzo
            </p>
          </td>
      </tr>
      <tr style="border: 0px;"> 
        <td style="width: 48%;">
          <input class="inputNormal" id="Parametri_Superficie" name="Parametri_Superficie" style="width: 100%;" label="Superficie" mandatory_enabled="true" format="number" />
        </td>
        <td>
          <input class="inputNormal" id="Parametri_Indirizzo" name="Parametri_Indirizzo" style="width: 100%;" label="Indirizzo" mandatory_enabled="true"/>
        </td>
      </tr>
    </tbody>
  </table>

  <table class="Modulo" style="border: 0px; margin-top: -1x;">
    <tbody>    
      <tr style="border: 0px;">
        <td style="vertical-align: top; width: 4%;border: 0px;">
          <input id="Dichiara4" name="Dichiara4" type="checkbox" value="SI" dynamic_check="true" checked="checked" />
        </td>
        <td style="border: 0px;">
          <p>
            di aver preso visione del regolamento del compostaggio domestico del Comune di Buseto Palizzoloe di accettarne integralmente il contenuto
          </p>
        </td>
      </tr>
    </tbody>
  </table>
<globo_salto_pagina></globo_salto_pagina>
  <h3 class="Modulo">
    DICHIARA INOLTRE
  </h3>

  <table class="Modulo" style="border: 0px;">
    <tbody>    
         {% set dic = [
                  "di impegnarsi a non conferire al circuito di raccolta rifiuti scarti di cucina, vegetali e sfalci verdi, ramaglie e residui di potatura provenienti dal proprio giardino o orto",
                  "di impegnarsi ad effettuare il compostaggio in modo corretto",
                  "di impegnarsi a restituire il contenitore per l’umido",
                  "di impegnarsi a permettere l’accesso all’area dove viene praticato il compostaggio ed al luogo di utilizzo del compost prodotto, al personale incaricato dall’amministrazione comunale",
                  "che la convenzione per il compostaggio domestico ha validità oltre che per l’anno in corso anche per gli anni successivi",
                  "di impegnarsi ad accettare le verifiche periodiche che verranno effettuate da parte del personaleincaricato dal Comune, per accettarne la conformità e l’effettiva pratica del compostaggio come previsto dal Regolamento comunale e di essere consapevole che la convenzione avrà decadenza in caso di non accettazione del controllo",
                  "che il progetto di compostaggio domestico è disciplinato, nelle modalità, nell’applicazione e nelle entità della riduzione dal Regolamento comunale e dal regolamento comunale Tari"
        ]%}
        {% for dichiara in dic %}
        <tr style="border: 0px;">
          <td style="vertical-align: top; width: 4%;border: 0px;" >        
            <input id="DichiaraInoltre{{ loop.index }}" name="DichiaraInoltre{{ loop.index }}" type="checkbox" value="SI" checked="checked" dynamic_check="true"/>  
          </td>
          <td style="border: 0px;"><p>{{ dichiara|safe }}</p></td>
        </tr>
        {% endfor %}
  
    </tbody>
  </table>



<br/>

{{ utils.eventuali_annotazioni()}}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>

<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<br/>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
